Goal: Common project management guidelines to be followed by teams and individual contributors are published
Closed, ResolvedPublic

Description

Evolving this task a bit. The goal is to establish a common protocol across developer teams and individual contributors in order to share a common understanding of the basics of project management, favor good collaboration, and avoid confusion or conflict.

The result would be a document between Phabricator instructions for project members and the Bugzilla etiquette, followed at least by the Wikimedia Foundation teams and the most active segment of individual contributors.


We need a single document describing best practices for project management with Phabricator, focusing on Wikimedia projects and contributors. There are many small decisions that we have made that are now spread in tasks and what not, and there are still open questions (equally spread in tasks, or not even documented), that a page like this will help identifying and deciding.

Page created. Edits welcome.

https://www.mediawiki.org/wiki/Phabricator/Project_management

@Qgil can start if nobody else steps in, but at some point it would be good to have the Team Practices team owning this doc.

Qgil created this task.Oct 7 2014, 9:14 AM
Qgil updated the task description. (Show Details)
Qgil raised the priority of this task from to Normal.
Qgil added a project: Phabricator.
Qgil changed Security from none to None.
Qgil added a subscriber: Qgil.
Qgil claimed this task.Oct 7 2014, 8:57 PM
Qgil moved this task from Backlog to Doing on the ECT-October-2014 board.
Spage updated the task description. (Show Details)Oct 8 2014, 4:03 AM
Qgil added a subscriber: Pine.Oct 17 2014, 6:20 AM
Qgil raised the priority of this task from Normal to High.Oct 21 2014, 2:18 AM
Qgil moved this task from Backlog to Doing on the Project-Management board.Oct 22 2014, 11:07 PM
Qgil renamed this task from Document best practices for project management with Phabricator to Goal: Common project management guidelines are followed by teams and individual contributors.Oct 23 2014, 6:52 AM
Qgil updated the task description. (Show Details)
Qgil edited projects, added ECT-November-2014; removed Developer-Relations.

@Qgil i don't mean to totally rain on the language of the goals you all have come up with, but I am concerned about the way this one is formulated. What happens if there are teams and individual contributors that DONT follow the general guidelines (which I imagine is inevitable)? Will this goal then not be met? May I suggest a slight modification?

"Common project management guidelines to be followed by individual teams and contributors are published."

Also, feel free to assign this to me ;)

Qgil renamed this task from Goal: Common project management guidelines are followed by teams and individual contributors to Goal: Common project management guidelines to be followed by teams and individual contributors are published.Oct 23 2014, 11:04 PM
Qgil reassigned this task from Qgil to Awjrichards.
Qgil added a comment.Oct 23 2014, 11:07 PM

You got it! :)

Ok, now the goal is simpler to measure. I think we could start trying to agree on the skeleton of the guidelines, in order to have a common understanding of the topics we want to cover. With the skeleton agreed, the rest is just details. ;)

@Qgil awesome :) I can give this some more brain bandwidth next week.

@Qgil @Aklapper Can you guys share at a high level or point me to some of the constraints (as you understand them) to project management in Phab? I suspect some decisions have been made in terms of how things are set up in this Phab instance that will impact how we will need to go about project managing at a base level (eg the semantic meanings of projects/teams, needing to create new workboards for each sprint, etc)?

I am thinking it would make sense to start compiling the basic limitations/configuration decisions first and then start writing some concise prose around those to serve as a basis of the documentation.

After that, we'll probably need to start experimenting and gather input from teams who are beginning to use phabricator for project management in order to understand what the day-to-day best practices are.

Qgil claimed this task.Nov 1 2014, 3:50 PM

Let me take this task until I post that page skeleton that I promised...

Qgil reassigned this task from Qgil to Awjrichards.EditedNov 4 2014, 2:11 PM

Basic basic skeleton is now in place: https://www.mediawiki.org/wiki/Phabricator/Project_management

Are there any big areas missing? Maybe "Scrum" under Sprints, do explain story points and burndown charts?

@Aklapper, I wonder whether what we are producing here is the successor of the Bugzilla etiquette...

@awrichards, à toi! I will keep watching the page and documenting there whatever good questions or good lessons appear here in discussions.

Qgil added a comment.Nov 26 2014, 8:04 AM

@Awjrichards three weeks have passed, and three weeks is basically what we have to bring this task to a level that allows us to consider it complete.

Also, on December 3rd we have T557: Tech Talk: Phabricator for Wikimedia projects.

When do you think you will be able to work on this? If you start editing, I will help.

(Last Monday we had a checkpoint about WMF's top tech priorities, and there was a question specific to the status of this document. No, they won't forget. :)

@Qgil I've added the task to the Team Practices backlog and anticipate starting to work on this after this holiday weekend. Let's plan to check in at the end of next week to review the document and its status - that will help me ensure I keep the task high on my own priority list.

Were you hoping to have this complete in time for the December 3rd tech talk? I am not understanding how that's related, but I realize I have a limited view :)

Qgil added a comment.Nov 26 2014, 8:37 PM

Were you hoping to have this complete in time for the December 3rd tech talk?

Not complete, but it would be nice to send people interested in that session to a page that has real work-in-progress. Also, it's the only date I had at hand other than "end of year". :)

Qgil moved this task from Backlog to Doing on the ECT-November-2014 board.Nov 27 2014, 9:40 PM
Qgil moved this task from Backlog to Doing on the ECT-December-2014 board.Dec 9 2014, 5:00 PM

@Qgil is there anything else you need/would like to see from the TPG on this goal/task? We will of course keep an eye on the doc and continue to help evolve it, but I want to make sure we've fulfilled expectations on this :)

Qgil closed this task as Resolved.Dec 12 2014, 11:11 AM

@Awjrichards I think the current page is good basis already, and we have been linking to it when replying to people's questions. I still hope that you and your team keeps watching it and improving it as you run into new problems and find new solutions... I will do the same.

We're good for this sprint. But please reply to my question about the need to type 'task' at https://www.mediawiki.org/wiki/Talk:Phabricator/Project_management :)

Great @Qgil, thanks. I've responded :)